Package org.apache.felix.framework.util

# Class VersionRange

java.lang.Object
org.apache.felix.framework.util.VersionRange

public class VersionRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final VersionRange`
`infiniteRange`

## Constructor Summary

Constructors
Constructor
Description
`VersionRange(Version low, boolean isLowInclusive, Version high, boolean isHighInclusive)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Version`
`getCeiling()`
`Version`
`getFloor()`
`int`
`hashCode()`
`boolean`
`isCeilingInclusive()`
`boolean`
`isFloorInclusive()`
`boolean`
`isInRange(Version version)`
`static VersionRange`
`parse(String range)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### infiniteRange

public static final VersionRange infiniteRange

## Constructor Details

### VersionRange

public VersionRange(Version low, boolean isLowInclusive, Version high, boolean isHighInclusive)

## Method Details

### getFloor

public Version getFloor()

### isFloorInclusive

public boolean isFloorInclusive()

### getCeiling

public Version getCeiling()

### isCeilingInclusive

public boolean isCeilingInclusive()

### isInRange

public boolean isInRange(Version version)

### parse

public static VersionRange parse(String range)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`